# $Revision: 1.24 $, $Date: 2002/10/30 09:03:28 $
Summary:	A game programming library
Summary(pl):	Biblioteka do programowania gier
Name:		allegro
Version:	4.1.1
Release:	4
License:	Giftware
Group:		Libraries
Source0:	http://belnet.dl.sourceforge.net/sourceforge/alleg/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-examples.patch
URL:		http://alleg.sourceforge.net
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
%ifnarch sparc sparc64
BuildRequires:	alsa-lib-devel
%endif
%ifarch %{ix86} alpha
BuildRequires:	svgalib-devel
%endif
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

%description -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

%package devel
Summary:	A game programming library - header files
Summary(pl):	Biblioteka do programowania gier - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains header files neccessary for compiling
applications using allegro library.

%description devel -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera pliki nagwkowe niezbdne do kompilowania
aplikacji wykorzystujcych bibliotek allegro.

%package tests
Summary:	A game programming library - test programs
Summary(pl):	Biblioteka do programowania gier - programy testujce
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description tests
This package contains programs for testing allegro library.

%description tests -l pl
Pakiet zawiera programy testujce bibliotek allegro.

%package examples
Summary:	A game programming library - examples
Summary(pl):	Biblioteka do programowania gier - programy przykadowe
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description examples
This package contains example programs which are showing
allegro features.

%description examples -l pl
Pakiet zawiera programy przykadowe demonstrujce mo?liwoci biblioteki allegro.

%package static
Summary:	A game programming library - static libraries
Summary(pl):	Biblioteka do programowania gier - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains static libraries for linking with allegro
applications.

%description static -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera biblioteki statyczne do linkowania z aplikacjami
wykorzystujcymi allegro.

%package svgalib
Summary:	A game programming library - svgalib module
Summary(pl):	Biblioteka do programowania gier - modu dla svgalib
Group:		Libraries
PreReq:		%{name} = %{version}

%description svgalib
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with allegro and svgalib.

%description svgalib -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania allegro z svgalibem.

%package dga2
Summary:	A game programming library - DGA2 module
Summary(pl):	Biblioteka do programowania gier - modu dla DGA2
Group:		Libraries
PreReq:		%{name} = %{version}

%description dga2
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with DGA.

%description dga2 -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z DGA.

%package esd
Summary:	A game programming library - esound module
Summary(pl):	Biblioteka do programowania gier - modu dla esound
Group:		Libraries
PreReq:		%{name} = %{version}

%description esd
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains a esound module for use with ESound daemon.

%description esd -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z demonem ESound.

%package alsa
Summary:	A game programming library - ALSA modules
Summary(pl):	Biblioteka do programowania gier - moduy dla ALSA
Group:		Libraries
PreReq:		%{name} = %{version}

%description alsa
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains modules for use with ALSA sound library.

%description alsa -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduy do wykorzystania z bibliotek dwikow
ALSA.

%package tools
Summary:	A game programming library - tools
Summary(pl):	Biblioteka do programowania gier - narzdzia
Group:		Libraries
PreReq:		%{name} = %{version}

%description tools
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains tools.

%description tools -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera narzdzia.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
# dbglib & proflib are compiled besides normlib, so it's ok to have them here
%configure \
	--enable-static \
	--enable-dbglib \
%ifnarch %{ix86} alpha
    	--disable-vga \
	--disable-linux \
%endif
	--enable-proflib \
%ifnarch %{ix86}
	--disable-asm
%endif

	
%{__make} \
	MAKEINFO=makeinfo \
	CFLAGS="%{rpmcflags} -I/usr/X11R6/include/artsc -pipe %{?!debug:-funroll-loops -ffast-math -fomit-frame-pointer} -Wall \
%ifnarch %{ix86}
	-DALLEGRO_USE_C \
%endif
	-DALLEGRO_LIB_BUILD"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man install-info install-lib \
	DESTDIR=$RPM_BUILD_ROOT

install modules.lst $RPM_BUILD_ROOT%{_libdir}/allegro/4.1/

mv $RPM_BUILD_ROOT%{_bindir}/demo{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/play{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/setup{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/test{,-allegro}

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES THANKS
%attr(755,root,root) %{_libdir}/liballeg-%{version}.so
%dir %{_libdir}/allegro/
%{_libdir}/allegro/4.1/modules.lst

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liballd-%{version}.so
%attr(755,root,root) %{_libdir}/liballp-%{version}.so
%{_includedir}/*
%attr(755,root,root) %{_bindir}/allegro-config
%{_mandir}/man3/*
%{_infodir}/*
%{_libdir}/*_unsharable.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/colormap
%attr(755,root,root) %{_bindir}/exedat
%attr(755,root,root) %{_bindir}/pack
%attr(755,root,root) %{_bindir}/rgbmap
%attr(755,root,root) %{_bindir}/textconv
%attr(755,root,root) %{_bindir}/dat
%attr(755,root,root) %{_bindir}/dat2c
%attr(755,root,root) %{_bindir}/dat2s
%attr(755,root,root) %{_bindir}/grabber
%attr(755,root,root) %{_bindir}/pat2dat
%attr(755,root,root) %{_bindir}/setup-allegro
%attr(755,root,root) %{_bindir}/keyconf

%files static
%defattr(644,root,root,755)
%{_libdir}/liballd.a
%{_libdir}/liballeg.a
%{_libdir}/liballp.a

%ifarch %{ix86} alpha
%files svgalib
%defattr(644,root,root,755)
%{_libdir}/allegro/4.1/alleg-svgalib.so
%endif

%files dga2
%defattr(644,root,root,755)
%{_libdir}/allegro/4.1/alleg-dga2.so

%files esd
%defattr(644,root,root,755)
%{_libdir}/allegro/4.1/alleg-esddigi.so

%if %{?_without_alsa:0}%{!?_without_alsa:1}
%ifnarch sparc sparc64
%files alsa
%defattr(644,root,root,755)
%{_libdir}/allegro/4.1/alleg-alsadigi.so
%{_libdir}/allegro/4.1/alleg-alsamidi.so
%endif
%endif

%files tests
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/afinfo
%attr(755,root,root) %{_bindir}/akaitest
%attr(755,root,root) %{_bindir}/demo-allegro
%attr(755,root,root) %{_bindir}/digitest
%attr(755,root,root) %{_bindir}/filetest
%attr(755,root,root) %{_bindir}/gfxinfo
%attr(755,root,root) %{_bindir}/mathtest
%attr(755,root,root) %{_bindir}/miditest
%attr(755,root,root) %{_bindir}/play-allegro
%attr(755,root,root) %{_bindir}/playfli
%attr(755,root,root) %{_bindir}/test-allegro
%attr(755,root,root) %{_bindir}/vesainfo

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ex12bit
%attr(755,root,root) %{_bindir}/ex3buf
%attr(755,root,root) %{_bindir}/ex3d
%attr(755,root,root) %{_bindir}/exaccel
%attr(755,root,root) %{_bindir}/exalpha
%attr(755,root,root) %{_bindir}/exbitmap
%attr(755,root,root) %{_bindir}/exblend
%attr(755,root,root) %{_bindir}/excamera
%attr(755,root,root) %{_bindir}/excolmap
%attr(755,root,root) %{_bindir}/excustom
%attr(755,root,root) %{_bindir}/exdata
%attr(755,root,root) %{_bindir}/exdbuf
%attr(755,root,root) %{_bindir}/exdodgy
%attr(755,root,root) %{_bindir}/exexedat
%attr(755,root,root) %{_bindir}/exfixed
%attr(755,root,root) %{_bindir}/exflame
%attr(755,root,root) %{_bindir}/exflip
%attr(755,root,root) %{_bindir}/exgui
%attr(755,root,root) %{_bindir}/exhello
%attr(755,root,root) %{_bindir}/exjoy
%attr(755,root,root) %{_bindir}/exkeys
%attr(755,root,root) %{_bindir}/exlights
%attr(755,root,root) %{_bindir}/exmem
%attr(755,root,root) %{_bindir}/exmidi
%attr(755,root,root) %{_bindir}/exmouse
%attr(755,root,root) %{_bindir}/expal
%attr(755,root,root) %{_bindir}/expat
%attr(755,root,root) %{_bindir}/exquat
%attr(755,root,root) %{_bindir}/exrgbhsv
%attr(755,root,root) %{_bindir}/exsample
%attr(755,root,root) %{_bindir}/exscale
%attr(755,root,root) %{_bindir}/exscn3d
%attr(755,root,root) %{_bindir}/exscroll
%attr(755,root,root) %{_bindir}/exshade
%attr(755,root,root) %{_bindir}/exspline
%attr(755,root,root) %{_bindir}/exsprite
%attr(755,root,root) %{_bindir}/exstars
%attr(755,root,root) %{_bindir}/exstream
%attr(755,root,root) %{_bindir}/exswitch
%attr(755,root,root) %{_bindir}/extimer
%attr(755,root,root) %{_bindir}/extrans
%attr(755,root,root) %{_bindir}/extruec
%attr(755,root,root) %{_bindir}/exunicod
%attr(755,root,root) %{_bindir}/exupdate
%attr(755,root,root) %{_bindir}/exxfade
%attr(755,root,root) %{_bindir}/exzbuf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: allegro.spec,v $
Revision 1.24  2002/10/30 09:03:28  kloczek
- release 4.

Revision 1.23  2002/10/29 21:56:54  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.22  2002/10/07 09:36:03  qboosh
- BR: autoconf,automake

Revision 1.21  2002/09/20 00:36:20  wolf
- it's not for X only
- alsa magically appeared
- proper modules.lst
- release 3

Revision 1.20  2002/09/18 07:05:13  marcus
- fixed CFLAGS

Revision 1.19  2002/09/18 06:57:28  marcus
- typo

Revision 1.18  2002/09/18 06:41:02  marcus
- fixed for !ix86
- rel.2. (rel 1. is on ftp for ix86)

Revision 1.17  2002/09/11 21:19:17  wolf
- 4.1.1
- alsa is out - SOD#1
- some missing %%files
- run ldconfig after (un)install
- changed common binary names to more specific ones
- TODO: datafiles for some examples and demo are missing

Revision 1.16  2002/08/22 17:48:43  ggodlewski
- updated to WIP version
- added unsharabled libraries to devel

Revision 1.15  2002/08/16 16:32:57  qboosh
- svgalib on x86 and alpha

Revision 1.14  2002/06/27 15:30:36  ggodlewski
- new packages with test and example programs
- updated to 4.0.2-rc2

Revision 1.13  2002/06/19 12:38:47  marcus
- fixed %%ifarch in %%files

Revision 1.12  2002/06/05 16:18:28  kloczek
- release 1: use new %doc.

Revision 1.11  2002/06/05 11:50:31  marcus
- fixed for !ix86

Revision 1.10  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 15:43:17  arturs
fixed a small typo

Revision 1.8  2002/04/19 08:35:44  wiget
fixed Release:

Revision 1.7  2002/04/19 06:45:53  kloczek
- use svgalib only on %%{ix86}.

Revision 1.6  2002/04/18 11:19:36  ggodlewski
Update to 4.0.1

Revision 1.5  2002/03/27 11:19:25  roman
s/giftware/Giftware in License

Revision 1.4  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/23 03:53:38  kloczek
- updated to 3.9.40,
- added info patch with fix allegro info index entry,
- Group changed to X11/Libraries,
- added texinfo to BuildRequires,
- spec adapterized.

Revision 1.1  2001/11/13 16:20:29  zagrodzki
- initial revision
